/**************************************************************************
* iptrk - ip tracker
* Copyright (C) 2003 Jason Nunn <jsno@leal.com.au>
* Darwin, NT, Australia.
* Originally developed for Arafura Connect (Dec 2000 - Mar 2003)
* Donated to GPL before liquidation.
*
* =======================================================================
* list reports generator (for all watch log_ip logs in a period)
*
**************************************************************************/
#include "defs.h"
#include "lib.p"
#include "lib_cgi.p"

#define M_PATH  "/cgi-bin/iptrkq_log_ip_cgi.pl"

/**************************************************************************
*
**************************************************************************/
int main(void)
{
  int  i;
  char str[STR_LEN + 1], str2[STR_LEN + 1], *qstring;

  qstring = getenv("QUERY_STRING");
  if(qstring == NULL)
  {
    printf(
      "<html><p>E %s()::getenv(QUERY_STRING)<hr></html>", __func__);
    exit(-1);
  }

  sprintf(str, "%s%s", IPTRK_PATH, qstring);
  get_dir_entries(str);

  printf(
    "Content-type: text/html\n\n"
    "<html>"
    "<title>Generate Billing Reports (From log_ip logs)</title>"
    "<body TEXT=\"#ffffff\" BGCOLOR=\"#000000\" LINK=\"#8888FF\" VLINK=\"#FF0000\">"
    "<font color=\"#d0d0f0\">"
    "<center><img src=\"/iptrk.png\"><p>"
    "<font color=\"#80f0a0\">"
    "Generate Billing Reports (From log_ip logs)"
    "<hr>"
    "<font color=\"#ffffff\">"
    "<p>"
    "<form action=\"" M_PATH "\" method=\"GET\">"
    "<table>"
    "<tr>"
    "<td align=right>log_ip:</td>"
    "<td><select name=\"log_ip\">");

  for(i = 0; i < dir_len; i++)
    printf("<option value=\"%s/%s\">%s",
      str, dir_tab[i].name, dir_tab[i].name);

  format_date_entry(0, str);
  format_date_entry(0x7fff0000, str2);

  printf(
    "</select></td>"

    "<tr>"
    "<td align=right>Start time:</td>"
    "<td><input type=\"text\" name=\"start\" value=\"%s\" size=17> "
    "(or HH:MM)</td>"
    "</tr>"
    "<tr>"
    "<td align=right>End time:</td>"
    "<td><input type=\"text\" name=\"end\" value=%s size=17></td>"
    "</tr>"

    "<tr>"
    "<td align=right></td>"
    "<td><input type=\"submit\" value=\"Generate\"></td>"
    "</tr>"

    "</table>"
    "</font>"
    "<p>"
    "<hr>"
    "</center>"
    "</body>"
    "</html>", str, str2);

  return 0;
}
