/**************************************************************************
* iptrk - ip tracker
* Copyright (C) 2003 Jason Nunn <jsno@leal.com.au>
* Darwin, NT, Australia.
* Originally developed for Arafura Connect (Dec 2000 - Mar 2003)
* Donated to GPL before liquidation.
*
* =======================================================================
* list reports generator (for all watch databases in a period-- it 
* constructs one big bar-hoon-a db then prints report)
*
**************************************************************************/
#include "defs.h"
#include "lib.p"
#include "lib_cgi.p"

#define M_PATH  "/cgi-bin/iptrkq_cgi.pl"

/**************************************************************************
*
**************************************************************************/
int main(void)
{
  int  i;
  char str[STR_LEN + 1], str2[STR_LEN + 1], *qstring;

  qstring = getenv("QUERY_STRING");
  if(qstring == NULL)
  {
    printf(
      "<html><p>E %s()::getenv(QUERY_STRING)<hr></html>", __func__);
    exit(-1);
  }

  sprintf(str, "%s%s", IPTRK_PATH, qstring);
  get_dir_entries(str);

  printf(
    "Content-type: text/html\n\n"
    "<html>"
    "<title>Generate Reports</title>"
    "<body TEXT=\"#ffffff\" BGCOLOR=\"#000000\" LINK=\"#8888FF\" VLINK=\"#FF0000\">"
    "<font color=\"#d0d0f0\">"
    "<center><img src=\"/iptrk.png\"><p>"
    "<font color=\"#80f0a0\">"
    "Generate Reports"
    "<hr>"
    "<font color=\"#ffffff\">"
    "<p>"
    "<form action=\"" M_PATH "\" method=\"GET\">"
    "<table>"
    "<tr>"
    "<td align=right>DB:</td>"
    "<td><select name=\"db\">");

  for(i = 0; i < dir_len; i++)
    printf("<option value=\"%s/%s\">%s",
      str, dir_tab[i].name, dir_tab[i].name);

  format_date_entry(0, str);
  format_date_entry(0x7fff0000, str2);

  printf(
    "</select></td>"

    "</tr>"
    "<tr>"
    "<td align=right>Start Address:</td>"
    "<td><input type=\"text\" name=\"saddr\" value=\"0.0.0.0\" size=16></td>"
    "</tr>"

    "<tr>"
    "<td align=right>End Address:</td>"
    "<td><input type=\"text\" name=\"eaddr\" value=\"255.255.255.255\" size=16></td>"
    "</tr>"

    "<tr>"
    "<td align=right>Range Test:</td>"
    "<td><select name=\"test\">"
    "<option value=\"-S\">Source"
    "<option value=\"-D\">Destination"
    "</select> (Only applicable to Dumps)</td>"
    "</tr>"

    "<tr>"
    "<td align=right>Report Type:</td>"
    "<td><select name=\"type\">"
    "<option value=0>Dump"
    "<option value=1>Associative"
    "<option value=2>Charge"
    "</select></td>"
    "</tr>"

    "<tr>"
    "<td align=right>Start time:</td>"
    "<td><input type=\"text\" name=\"start\" value=\"%s\" size=17> "
    "(or HH:MM)</td>"
    "</tr>"
    "<tr>"
    "<td align=right>End time:</td>"
    "<td><input type=\"text\" name=\"end\" value=%s size=17></td>"
    "</tr>"

    "<tr>"
    "<td align=right></td>"
    "<td><input type=\"submit\" value=\"Generate\"></td>"
    "</tr>"

    "</table>"
    "</font>"
    "<p>"
    "<hr>"
    "</center>"
    "</body>"
    "</html>", str, str2);

  return 0;
}
